Bug 391387

Summary: Kickoff menu transparency artifacts
Product: kwin Reporter: Vadim <kde>
Component: effects-variousAssignee: David Edmundson <kde>
Status: RESOLVED FIXED    
Severity: minor CC: aleixpol, kde, notuxius, plasma-bugs
Priority: NOR Keywords: wayland
Version: 5.12.2Flags: kde: Wayland+
kde: X11-
Target Milestone: ---   
Platform: Other   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: Screenshot of the glitch

Description Vadim 2018-03-04 17:42:26 UTC
Created attachment 111177 [details]
Screenshot of the glitch

The kickoff menu is getting a weird glitched background when open, see screenshot.


KWin Support Information:
The following information should be used when requesting support on e.g. http://forum.kde.org.
It provides information about the currently running instance, which options are used,
what OpenGL driver and which effects are running.
Please post the information provided underneath this introductory text to a paste bin service
like http://paste.kde.org instead of pasting into support threads.

==========================

Version
=======
KWin version: 5.12.80
Qt Version: 5.9.4
Qt compile version: 5.9.4
XCB compile version: 1.12

Operation Mode: Xwayland

Build Options
=============
KWIN_BUILD_DECORATIONS: yes
KWIN_BUILD_TABBOX: yes
KWIN_BUILD_ACTIVITIES: yes
HAVE_DRM: yes
HAVE_GBM: yes
HAVE_X11_XCB: yes
HAVE_EPOXY_GLX: yes
HAVE_WAYLAND_EGL: yes

X11
===
Vendor: Fedora Project
Vendor Release: 11906000
Protocol Version/Revision: 11/0
SHAPE: yes; Version: 0x11
RANDR: yes; Version: 0x14
DAMAGE: yes; Version: 0x11
Composite: yes; Version: 0x4
RENDER: yes; Version: 0xb
XFIXES: yes; Version: 0x50
SYNC: yes; Version: 0x31
GLX: yes; Version: 0x0

Decoration
==========
Plugin: org.kde.breeze
Theme: 
Blur: 0
onAllDesktopsAvailable: true
alphaChannelSupported: true
closeOnDoubleClickOnMenu: false
decorationButtonsLeft: 0, 2
decorationButtonsRight: 6, 3, 4, 5
borderSize: 3
gridUnit: 10
font: Noto Sans,10,-1,5,50,0,0,0,0,0,Regular
smallSpacing: 2
largeSpacing: 10

Platform
==========
Name: DRM
Active: true
Atomic Mode Setting: true

Options
=======
focusPolicy: 0
nextFocusPrefersMouse: false
clickRaise: true
autoRaise: false
autoRaiseInterval: 0
delayFocusInterval: 0
shadeHover: false
shadeHoverInterval: 250
separateScreenFocus: false
placement: 4
focusPolicyIsReasonable: true
borderSnapZone: 10
windowSnapZone: 10
centerSnapZone: 0
snapOnlyWhenOverlapping: false
rollOverDesktops: true
focusStealingPreventionLevel: 1
legacyFullscreenSupport: false
operationTitlebarDblClick: 5000
operationMaxButtonLeftClick: 5000
operationMaxButtonMiddleClick: 5015
operationMaxButtonRightClick: 5014
commandActiveTitlebar1: 0
commandActiveTitlebar2: 30
commandActiveTitlebar3: 2
commandInactiveTitlebar1: 4
commandInactiveTitlebar2: 30
commandInactiveTitlebar3: 2
commandWindow1: 7
commandWindow2: 8
commandWindow3: 8
commandWindowWheel: 31
commandAll1: 10
commandAll2: 3
commandAll3: 14
keyCmdAllModKey: 16777251
showGeometryTip: false
condensedTitle: false
electricBorderMaximize: true
electricBorderTiling: true
electricBorderCornerRatio: 0.25
borderlessMaximizedWindows: false
killPingTimeout: 5000
hideUtilityWindowsForInactive: true
inactiveTabsSkipTaskbar: false
autogroupSimilarWindows: false
autogroupInForeground: true
compositingMode: 1
useCompositing: true
compositingInitialized: true
hiddenPreviews: 1
glSmoothScale: 2
xrenderSmoothScale: false
maxFpsInterval: 16666666
refreshRate: 0
vBlankTime: 6000000
glStrictBinding: false
glStrictBindingFollowsDriver: true
glCoreProfile: false
glPreferBufferSwap: 101
glPlatformInterface: 2
windowsBlockCompositing: true

Screen Edges
============
desktopSwitching: false
desktopSwitchingMovingClients: false
cursorPushBackDistance: 1x1
timeThreshold: 150
reActivateThreshold: 350
actionTopLeft: 0
actionTop: 0
actionTopRight: 0
actionRight: 0
actionBottomRight: 0
actionBottom: 0
actionBottomLeft: 0
actionLeft: 0

Screens
=======
Multi-Head: no
Active screen follows mouse:  no
Number of Screens: 1

Screen 0:
---------
Name: SDC eDP-1-unknown
Geometry: 0,0,1920x1080
Scale: 2
Refresh Rate: 48


Compositing
===========
Compositing is active
Compositing Type: OpenGL
OpenGL vendor string: Intel Open Source Technology Center
OpenGL renderer string: Mesa DRI Intel(R) Haswell Mobile 
OpenGL version string: 3.0 Mesa 17.3.5
OpenGL platform interface: EGL
OpenGL shading language version string: 1.30
Driver: Intel
GPU class: Haswell
OpenGL version: 3.0
GLSL version: 1.30
Mesa version: 17.3.5
Linux kernel version: 4.15.6
Direct rendering: Requires strict binding: no
GLSL shaders:  yes
Texture NPOT support:  yes
Virtual Machine:  no
OpenGL 2 Shaders are used
Painting blocks for vertical retrace:  no

Loaded Effects:
---------------
zoom
kwin4_effect_windowaperture
kwin4_effect_maximize
kwin4_effect_logout
kwin4_effect_fade
kwin4_effect_dialogparent
kwin4_effect_login
kwin4_effect_morphingpopups
kwin4_effect_frozenapp
kwin4_effect_translucency
slidingpopups
slide
screenshot
minimizeanimation
desktopgrid
colorpicker
presentwindows
highlightwindow
blur
contrast
startupfeedback
screenedge
kscreen

Currently Active Effects:
-------------------------
blur
contrast

Effect Settings:
----------------
zoom:
zoomFactor: 1.2
mousePointer: 0
mouseTracking: 0
enableFocusTracking: false
followFocus: true
focusDelay: 350
moveFactor: 20
targetZoom: 1

kwin4_effect_windowaperture:

kwin4_effect_maximize:

kwin4_effect_logout:

kwin4_effect_fade:

kwin4_effect_dialogparent:

kwin4_effect_login:

kwin4_effect_morphingpopups:

kwin4_effect_frozenapp:

kwin4_effect_translucency:

slidingpopups:
fadeInTime: 150
fadeOutTime: 250

slide:

screenshot:

minimizeanimation:

desktopgrid:
zoomDuration: 300
border: 10
desktopNameAlignment: 0
layoutMode: 0
customLayoutRows: 2
usePresentWindows: true

colorpicker:

presentwindows:
layoutMode: 0
showCaptions: true
showIcons: true
doNotCloseWindows: false
ignoreMinimized: false
accuracy: 20
fillGaps: true
fadeDuration: 150
showPanel: false
leftButtonWindow: 1
rightButtonWindow: 2
middleButtonWindow: 0
leftButtonDesktop: 2
middleButtonDesktop: 0
rightButtonDesktop: 0

highlightwindow:

blur:

contrast:

startupfeedback:
type: 1

screenedge:

kscreen:
Comment 1 Aleix Pol 2018-03-08 01:28:38 UTC
I have this same issue as well.
Comment 2 David Edmundson 2018-03-08 01:33:35 UTC
Seems to be a scaling thing, I'll look into it.
Comment 3 David Edmundson 2018-04-03 14:38:55 UTC
It is.

I fixed Blur for scaling in 44a6050e839dc6311132010056ec5218680aea50
then it got effectively reverted in the new blur rewrite 0179f741bbd4cc01da5866fdf7b6a302869a099b (booo!)

It's a bit difficult to put back in as we do the initial copyTexSubImage2D into m_renderTextures which is global for the whole workarea, but scale is not.
Comment 4 Alexander Mentyu 2018-04-20 14:37:58 UTC
Cannot reproduce in:

Plasma: 5.12.4
Apps: 17.12.3
Frameworks: 5.45.0
Qt: 5.10.1
Kernel: 4.14.34-1-MANJARO
OS: Netrunner Rolling
Video: Intel 4400
Driver: xf86-video-intel 1:2.99.917+823+gd9bf46e4-1
Screen: 1600x900
wayland-protocols 1.13-1
wayland 1.14.0-1
Comment 5 Alex Nemeth 2018-05-31 12:35:15 UTC
Git commit b3b691a25074abc8866c3ed5cd67cc8177e6418d by Alex Nemeth.
Committed on 31/05/2018 at 12:34.
Pushed by anemeth into branch 'master'.

Fix blur on Wayland when scaling is used

Summary:
Blur should now work on Wayland when scaling is used.
This does not affect X11 as `GLRenderTarget::virtualScreenScale()` is always 1 on X11
Depends on D12678

Test Plan:
  - log in in a Wayland session
  - turn display scaling to 2x
  - open a transparent window (for example: Konsole with transparent and blur enabled profile)
  - blurs the content under the window corretly

Reviewers: davidedmundson, #kwin

Reviewed By: davidedmundson, #kwin

Subscribers: romangg, apol, zzag, kwin, #kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D12700

M  +4    -4    effects/blur/blur.cpp

https://commits.kde.org/kwin/b3b691a25074abc8866c3ed5cd67cc8177e6418d
Comment 6 David Edmundson 2018-06-18 14:36:34 UTC
Git commit 37f4c54d17f9da3e1c2ddee7592a2dfcffd3e9e3 by David Edmundson, on behalf of Alex Nemeth.
Committed on 18/06/2018 at 14:35.
Pushed by davidedmundson into branch 'Plasma/5.13'.

Fix blur on Wayland when scaling is used

Summary:
Blur should now work on Wayland when scaling is used.
This does not affect X11 as `GLRenderTarget::virtualScreenScale()` is always 1 on X11
Depends on D12678

Test Plan:
  - log in in a Wayland session
  - turn display scaling to 2x
  - open a transparent window (for example: Konsole with transparent and blur enabled profile)
  - blurs the content under the window corretly

Reviewers: davidedmundson, #kwin

Reviewed By: davidedmundson, #kwin

Subscribers: romangg, apol, zzag, kwin, #kwin

Tags: #kwin

Differential Revision: https://phabricator.kde.org/D12700

M  +4    -4    effects/blur/blur.cpp

https://commits.kde.org/kwin/37f4c54d17f9da3e1c2ddee7592a2dfcffd3e9e3